Chat
Soft-delete a chat message
Authorization
tenant-api-key x-api-key<token>
Tenant API key (backend only — never expose to a browser)
In: header
Path Parameters
id*string
Message CUID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/chat/messages/string" \ -H "Content-Type: application/json" \ -d '{ "deletedByExternalId": "user_abc123" }'{ "id": "string", "roomId": "string", "participantId": {}, "content": "string", "messageType": "TEXT", "fileUrl": {}, "fileName": {}, "fileSize": {}, "fileMimeType": {}, "senderExternalId": {}, "senderName": {}, "recipientExternalId": {}, "recipientName": {}, "isDeleted": true, "deletedBy": {}, "replyToId": {}, "createdAt": "2019-08-24T14:15:22Z", "replyTo": { "id": "string", "content": "string", "senderName": {} }, "reactions": [ "string" ]}